import React from 'react';
import classNames from 'classnames';
import dayjs from 'dayjs';
import "./ReadPretty.less";
var DatePickerReadPretty = function DatePickerReadPretty(props) {
  var value = props.value,
    renderMode = props.renderMode;
  return /*#__PURE__*/React.createElement("span", {
    className: classNames('pisell-date-picker-read-pretty', {
      'pisell-date-picker-read-pretty-table-view': renderMode === 'tableView'
    })
  }, value ? dayjs(value).format('YYYY-MM-DD HH:mm:ss') : '');
};
export default DatePickerReadPretty;